#
# spec file for package OpenOctaveMidi
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           OpenOctaveMidi
Version:        2011.3.1
Release:        2.3
Summary:        Open Octave Studio
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Midi
Url:            http://www.openoctave.org/
Source0:        https://github.com/ccherrett/oom/wiki/oom-%{version}.tar.gz
Source1:        oom_icon.png
Source2:        oom_icon_root32x32.png
Source3:        oom_icon_root64x64.png
Source4:        oom_root-mode.desktop
#PATCH-FIX-UPSTREAM oom-2011.3.1_gcc47.patch avvissu@yandex.ru -- Fix build with gcc47
Patch0:         oom-2011.3.1_gcc47.patch
BuildRequires:  alsa-devel >= 0.9.0
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  jack-devel >= 1.9.5
BuildRequires:  libgig-devel
BuildRequires:  liblinuxsampler-devel
BuildRequires:  liblscp-devel
BuildRequires:  libqt4-devel >= 4.3.0
BuildRequires:  libsamplerate-devel >= 0.1.0
BuildRequires:  libsndfile-devel >= 1.0.0
BuildRequires:  libuuid-devel >= 0.0.1
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Requires:       alsa-plugins-jack
Requires:       jack
Recommends:     %{name}-lang
Recommends:     qjackctl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Digital Audio Workstation (DAW).

%lang_package

%prep
%setup -q -n "oom-%{version}"

%if 0%{?suse_version} > 1140
%patch0 -p1
%endif

%build
install -d build
pushd build
# FIXME: you should use %%cmake macros
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DLIB_INSTALL_DIR=%{_libdir} \
    ..
make %{?_smp_mflags}
popd

%install
pushd build
make DESTDIR=%{buildroot} install %{?_smp_mflags}
popd

# Installs a 32x32 icon in a 32x32 directory:
install -D -m 0644 %{S:1} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/oom_icon.png

# OOMidi Root Mode
install -D -m 0644 %{S:2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/oom_icon_root.png
install -D -m 0644 %{S:3} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/oom_icon_root.png
install -D -m 0644 %{S:4} %{buildroot}%{_datadir}/applications/oom_root-mode.desktop

rm -rf "%{buildroot}%{_datadir}/doc"

%suse_update_desktop_file -r oom AudioVideo Audio Midi AudioVideoEditing

L="$PWD/%{name}.lang"
echo -n >"$L"
P="%{_datadir}/oom-%{version}/locale"
pushd "%{buildroot}$P"
/bin/ls -1 oom_*.qm | while read qm; do
    l="${qm#oom_}"
    l="${l%.qm}"
    echo "%lang($l) $P/$qm" >>"$L"
done
popd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README*
%{_bindir}/grepmidi
%{_bindir}/oomidi
%{_bindir}/oostudio
%{_datadir}/applications/oom*.desktop
%{_datadir}/icons/*/*/apps/oom_icon*.png
%doc %{_mandir}/man1/grepmidi.1*
%doc %{_mandir}/man1/oomidi.1*
%{_datadir}/mime/packages/oom.xml
%dir %{_datadir}/oom-%{version}
%dir %{_datadir}/oom-%{version}/locale
%{_datadir}/oom-%{version}/instruments
%{_datadir}/oom-%{version}/drummaps
%{_datadir}/oom-%{version}/plugins
%{_datadir}/oom-%{version}/pybridge
%{_datadir}/oom-%{version}/scripts
%{_datadir}/oom-%{version}/templates
%{_datadir}/oom-%{version}/utils
%{_libexecdir}/oom-%{version}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Oct 18 2014 avvissu@yandex.ru
- OOMidi requires the root privilege for accessing the RTC device
  with higher resolution:
  * add Root Mode (oom_root-mode.desktop)
- add Requires: alsa-plugins-jack jack
- Spec file cleanup
* Sat Oct 18 2014 avvissu@yandex.ru
- Fix build error (add oom-2011.3.1_gcc47.patch)
- Add a small icon 32x32
- fix error while loading shared libraries:
  * use the RPATH settings for linking shared libraries
* Wed Apr 18 2012 pascal.bleser@opensuse.org
- packaging the stable version instead, unstable will be repackaged
  as OpenOctaveMidi-unstable
* Mon Apr 16 2012 pascal.bleser@opensuse.org
- initial version (2012.1.0+20120403)
